Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Data
Class MessageData

    java.lang.Object
      Data.MessageData

public class MessageData
extends java.lang.Object

Author:
  student This class is being used for getting and setting message data

Constructor Summary
`MessageData()` Constructor for MessageData.java
`MessageData(java.lang.String from, java.lang.String to, java.lang.String body, java.lang.String subject, java.sql.Timestamp time)` Constructor for MessageData.java with parameters

Method Summary
`java.lang.String` | `getBody()` This method is being used to get the body of the message
`java.lang.String` | `getFrom()` This method is being used to get the firstname and the lastname of the person who posted the message
`java.lang.String` | `getSubject()` This method is being used to get the subject of the message
`java.sql.Timestamp` | `getTime()` This method is being used to get the time the message was posted.
`java.lang.String` | `getTo()` This method is being used to get the name of the person who the message is posted to
`void` | `setBody(java.lang.String body)` This method is being used to set the body of the message.
`void` | `setFrom(java.lang.String from)` This method is being used to set the name of the person who posted the message
`void` | `setSubject(java.lang.String subject)` This method is being used to set the subject of the message.
`void` | `setTime(java.sql.Timestamp time)` This method is being used to set the time the message was posted.
`void` | `setTo(java.lang.String to)` This method is being used to set the name of the person the message was posted to.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageData

    public MessageData()

  Constructor for MessageData.java

### MessageData

    public MessageData(java.lang.String from,
                       java.lang.String to,
                       java.lang.String body,
                       java.lang.String subject,
                       java.sql.Timestamp time)

  Constructor for MessageData.java with parameters

Method Detail

### getFrom

    public java.lang.String getFrom()

  This method is being used to get the firstname and the lastname of the person who posted the message

  Returns:
    String The person who posted the message.

### setFrom

    public void setFrom(java.lang.String from)

  This method is being used to set the name of the person who posted the message

  Returns:
    void.

### getTo

    public java.lang.String getTo()

  This method is being used to get the name of the person who the message is posted to

  Returns:
    String The person who the message is posted to .

### setTo

    public void setTo(java.lang.String to)

  This method is being used to set the name of the person the message was posted to.

  Returns:
    void.

### getBody

    public java.lang.String getBody()

  This method is being used to get the body of the message

  Returns:
    String Body of the message.

### setBody

    public void setBody(java.lang.String body)

  This method is being used to set the body of the message.

  Returns:
    void.

### getSubject

    public java.lang.String getSubject()

  This method is being used to get the subject of the message

  Returns:
    String Subject of the message.

### setSubject

    public void setSubject(java.lang.String subject)

  This method is being used to set the subject of the message.

  Returns:
    void.

### getTime

    public java.sql.Timestamp getTime()

  This method is being used to get the time the message was posted.

  Returns:
    time Time the message was posted.

### setTime

    public void setTime(java.sql.Timestamp time)

  This method is being used to set the time the message was posted.

  Parameters:
    `time` - Time the message was posted .
  Returns:
    void.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD